Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Class OamAlarmNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamAlarmNotification

Direct Known Subclasses:
  Mtp2AlarmNotification, Mtp3AlarmNotification, SccpAlarmNotification, TcapAlarmNotification

public abstract class OamAlarmNotification
extends Notification
implements java.io.Serializable, java.lang.Cloneable

An OamAlarmNotification is a Notification emitted by a JAIN OAM Layer Manager MBean to indicate a change in status of the MBean.

This state change may result from :

- a create/delete/modify operation by an application that expliciltly changes the state of the MBean.
- a change in the SS7 Network that implicitly changes the state of it's associated MBean.
- a timer within a Timer MBean expiring.

This Notification should be sent to all applications that have registered with the JAIN OAM Layer Manager MBean as an Oam Notification Listener.

The Oam Notifications are to be categorised according to the following priorites (in increasing order of priority):

1. PRIORITY_INFORMATIONAL - The cause of this OamAlarmNotification does not affect the functional state of the system and may be ignored.
   This OamAlarmNotification is for purely informational purposes only.
2. PRIORITY_LOW - Indicates that the state of the MBean that emitted this OamAlarmNotification has changed as a result of an operation explicitly invoked by an application.
3. PRIORITY_HIGH - Indicates that the physical network element associated with the MBean that emitted this OamAlarmNotification has gone out of service.
   Without corrective action, service reliability can be severely affected.
4. PRIORITY_CRITICAL Indicates the complete failure of the physical network element associated with the MBean that emitted this AlarmNotification.
   Immediate recovery action is required.
5. PRIORITY_VENDOR_DEFINED - Indicates that this alarm has a severity that is defined by the SS7 stack vendor. An alarm of this priority may have either none or very severe ramifications and it is the responsibilty of a Stack vendor to inform JAIN OAM application developers the severity of this alarm.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

IMPORTANT:
This API does not define the action required upon receiving an alarm of a particular priority, nor does the API define what priority is associated with each alarm type. The assignment of an alarm prioritiy (or range of alarm priorities) to each alarm type is implementation dependant,and it the responsibility of the Stack Vendor to make the implementation dependent assignments known.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `ALARM_MO_ATTRIBUTE_VALUE_CHANGED` Alarm Type Constant: Indicates that an attribute value changed.
`static int` | `ALARM_MO_CREATED` Alarm Type Constant: Indicates that an instance of a Managed MBean has been created.
`static int` | `ALARM_MO_DELETED` Alarm Type Constant: Indicates that an instance of a Managed MBean has been deleted.
`static int` | `ALARM_TIMER_EXPIRED` Alarm Type Constant: Indicates that a timer has expired. IMPORTANT If an Alarm of this type is sent then the Timer Id of the Timer that caused this event should be set so that the application receiving the Notification can determine which Timer caused the Alarm.
`static int` | `PRIORITY_CRITICAL` Indicates that this is a Critical Alarm.
`static int` | `PRIORITY_HIGH` Indicates that this is a High Priority Alarm.
`static int` | `PRIORITY_INFORMATIONAL` Indicates that this is an Informational Alarm.
`static int` | `PRIORITY_LOW` Indicates that this is a Low Priority Alarm.
`static int` | `PRIORITY_VENDOR_DEFINED` Indicates that this alarm has a severity that is defined by the SS7 stack vendor.

Method Summary
`int` | `getAlarmType()` Returns the Type of this Alarm
`int` | `getPriority()` Returns the Priority of this OamAlarmNotification.
`int` | `getTimerId()` Returns the Timer Id of the Timer that caused the Timer Expired Alarm [when ALARM_TIMER_EXPIRED == getAlarmType()].
`java.util.Date` | `getTimestamp()` Returns the timestamp indicating the time at which this alarm was emitted.
`void` | `setPriority(int priority)` Sets the Priority of this Alarm.
`void` | `setTimerId(int timerId)` Sets the Timer Id that indicates the Timer that caused a Timer Expired Notification.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRIORITY_INFORMATIONAL

    public static final int PRIORITY_INFORMATIONAL

  Indicates that this is an Informational Alarm. The cause of this OamAlarmNotification does not affect the functional state of the system and may be ignored. This OamAlarmNotification is for purely informational purposes only.

### PRIORITY_LOW

    public static final int PRIORITY_LOW

  Indicates that this is a Low Priority Alarm. The state of the MBean that emitted this OamAlarmNotification has changed as a result of an operation explicitly invoked by an application.

### PRIORITY_HIGH

    public static final int PRIORITY_HIGH

  Indicates that this is a High Priority Alarm. The physical network element associated with the MBean that emitted this OamAlarmNotification has gone out of service.
  Without corrective action, service reliability can be severely affected.

### PRIORITY_CRITICAL

    public static final int PRIORITY_CRITICAL

  Indicates that this is a Critical Alarm. An Alarm of this priority indicates the complete failure of the physical netwrok element associated with the MBean that emitted this Alarm.
  Immediate recovery action is required.

### PRIORITY_VENDOR_DEFINED

    public static final int PRIORITY_VENDOR_DEFINED

  Indicates that this alarm has a severity that is defined by the SS7 stack vendor. An alarm of this priority may have either none or very severe ramifications and it is the responsibilty of a Stack vendor to inform JAIN OAM application developers the severity of this alarm.

### ALARM_TIMER_EXPIRED

    public static final int ALARM_TIMER_EXPIRED

  Alarm Type Constant: Indicates that a timer has expired.
  IMPORTANT If an Alarm of this type is sent then the Timer Id of the Timer that caused this event should be set so that the application receiving the Notification can determine which Timer caused the Alarm. Each Timer defined within this API has an associated Timer Id specified in the comment describing that Timer.
  Emitted By: All OamTimerProfilesMBean
  When: A Timer contained in the timer profile expires
  Notification Type: "jain.protocol.ss7.oam.alarm.timer_expired"

### ALARM_MO_CREATED

    public static final int ALARM_MO_CREATED

  Alarm Type Constant: Indicates that an instance of a Managed MBean has been created.

  Reference: "ITU-T Rec. M.3100 (1992)" createDeleteNotificationPackage (I,C)
  Emitted By: All OamLayerManagerMBean
  When: The creation of the MBean has been sucessfully committed.
  Notification Type: "jain.protocol.ss7.oam.alarm.created"

### ALARM_MO_DELETED

    public static final int ALARM_MO_DELETED

  Alarm Type Constant: Indicates that an instance of a Managed MBean has been deleted.

  Reference: "ITU-T Rec. M.3100 (1992)" createDeleteNotificationPackage (I,C)
  Emitted By: All OamLayerManageMBean
  When: The deletion of the MBean has been sucessfully committed.
  Notification Type: "jain.protocol.ss7.oam.alarm.deleted"

### ALARM_MO_ATTRIBUTE_VALUE_CHANGED

    public static final int ALARM_MO_ATTRIBUTE_VALUE_CHANGED

  Alarm Type Constant: Indicates that an attribute value changed.

  Reference: "ITU-T Rec. M.3100 (1992)" attributeValueChangeNotificationPackage (I,C)
  Emitted By: All OamLayerManagerMBean
  When: The modification of an attribute of the MBean has been sucessfully committed. This Alarm will be fired once for every attribute whose value has changed.
  Notification Type: "jain.protocol.ss7.oam.alarm.attribute_value_changed"

Method Detail

### setPriority

    public void setPriority(int priority)
                     throws java.lang.IllegalArgumentException

  Sets the Priority of this Alarm.
  Parameters:
    `priority` - one of the following (in increasing order of priority):

    1. PRIORITY_INFORMATIONAL - The cause of this OamAlarmNotification does not affect the functional state of the system and may be ignored.
       This OamAlarmNotification is for purely informational purposes only.
    2. PRIORITY_LOW - Indicates that the state of the MBean that emitted this OamAlarmNotification has changed as a result of an operation explicitly invoked by an application.
    3. PRIORITY_HIGH - Indicates that the physical network element associated with the MBean that emitted this OamAlarmNotification has gone out of service.
       Without corrective action, service reliability can be severely affected.
    4. PRIORITY_CRITICAL Indicates the complete failure of the physical network element associated with the MBean that emitted this OamAlarmNotification.
       Immediate recovery action is required.
    5. PRIORITY_VENDOR_DEFINED - Indicates that this alarm has a severity that is defined by the SS7 stack vendor. An alarm of this priority may have either none or very severe ramifications and it is the responsibilty of a Stack vendor to inform JAIN OAM application developers the severity of this alarm.
  Throws:
    java.lang.IllegalArgumentException - - if the supplied priority is not one of the defined types

### getPriority

    public int getPriority()

  Returns the Priority of this OamAlarmNotification.
  Returns:
    one of the following (in increasing order of priority):

    1. PRIORITY_INFORMATIONAL - The cause of this OamAlarmNotification does not affect the functional state of the system and may be ignored.
       This OamAlarmNotification is for purely informational purposes only.
    2. PRIORITY_LOW - Indicates that the state of the MBean that emitted this OamAlarmNotification has changed as a result of an operation explicitly invoked by an application.
    3. PRIORITY_HIGH - Indicates that the physical network element associated with the MBean that emitted this OamAlarmNotification has gone out of service.
       Without corrective action, service reliability can be severely affected.
    4. PRIORITY_CRITICAL Indicates the complete failure of the physical network element associated with the MBean that emitted this OamAlarmNotification.
       Immediate recovery action is required.
    5. PRIORITY_VENDOR_DEFINED - Indicates that this alarm has a severity that is defined by the SS7 stack vendor. An alarm of this priority may have either none or very severe ramifications and it is the responsibilty of a Stack vendor to inform JAIN OAM application developers the severity of this alarm.

### getAlarmType

    public int getAlarmType()

  Returns the Type of this Alarm
  Returns:
    one of the alarm type values defined in this OamAlarmNotification or any of the defined alarm types.

### getTimestamp

    public java.util.Date getTimestamp()

  Returns the timestamp indicating the time at which this alarm was emitted.
  Returns:
    the time at which the alarm was emitted.

### getTimerId

    public int getTimerId()

  Returns the Timer Id of the Timer that caused the Timer Expired Alarm [when ALARM_TIMER_EXPIRED == getAlarmType()]. Each Timer defined within this API has an associated Timer Id specified in the comment describing that Timer. This method returns that Timer Id associated with the particular timer that has expired.
  If this method is invoked when the Alarm is not a Timer Expired Alarm [when ALARM_TIMER_EXPIRED != getAlarmType()] then 0 is returned.
  Returns:
    either

    - the Timer Id of the the Timer that caused the Timer Expired Alarm [when ALARM_TIMER_EXPIRED == getAlarmType()], or
    - 0 - [when ALARM_TIMER_EXPIRED != getAlarmType()]

### setTimerId

    public void setTimerId(int timerId)
                    throws java.lang.IllegalArgumentException

  Sets the Timer Id that indicates the Timer that caused a Timer Expired Notification. Whenever a new OamAlarmNotification is sent to indicate that a timer has expired [ALARM_TIMER_EXPIRED == getAlarmType()], then this value should be set so that the application receiving the Notification can determine which Timer caused the event to be sent.
  Parameters:
    `timerId` - the Id of the Timer that caused a Timer Expired Notification.
  Throws:
    java.lang.IllegalArgumentException - - if the supplied timer ID does not represent a legal Timer ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems